/*
 * Example Code for the Paper
 *
 * "Mesh Saliency via Local Curvature Entropy", Eurographics 2016
 *
 * by M. Limper, A. Kuijper and D. Fellner
 *
 */

#ifndef LCE_CURVATURE_H
#define LCE_CURVATURE_H

#include "TriMesh.h"


namespace lce
{

//------------------------------------------------------------------------------------------------------------------

bool computeCurvature(TriMesh & mesh,
                      OpenMesh::VPropHandleT<float> & gaussianCurvatureProperty,
                      OpenMesh::VPropHandleT<float> & meanCurvatureProperty     );

//------------------------------------------------------------------------------------------------------------------

} //namespace lce


#endif //LCE_CURVATURE_H
